### org.jfree.layouting.modules.output.graphics

# Class GraphicsOutputProcessorMetaData

- `java.lang.Object`
- - `org.jfree.layouting.output.AbstractOutputProcessorMetaData`
  - - `org.jfree.layouting.modules.output.graphics.GraphicsOutputProcessorMetaData`

Implemented Interfaces:
  OutputProcessorMetaData

`public class GraphicsOutputProcessorMetaData`
`extends AbstractOutputProcessorMetaData`

Creation-Date: 02.01.2006, 19:57:08

Author:
  Thomas Morgner

  ## Constructor Summary

  `GraphicsOutputProcessorMetaData(FontStorage storage, boolean iterative)`

  ## Method Summary

  `FontFamily`

  `getDefaultFontFamily()`

  `String`

  `getExportDescriptor()`

  `boolean`

  `isIterative()`

  ### Methods inherited from class org.jfree.layouting.output.AbstractOutputProcessorMetaData

  `addFeature`, `getDefaultPageSize`, `getFontFamilyForGenericName`, `getFontMetrics`, `getFontRegistry`, `getFontSize`, `getFontStorage`, `getHorizontalPageSpan`, `getMediaType`, `getNormalizedFontFamilyName`, `getNumericFeatureValue`, `getSupportedResourceTypes`, `getVerticalPageSpan`, `isFeatureSupported`, `isValid`, `setFamilyMapping`, `setNumericFeatureValue`

## Constructor Details

### GraphicsOutputProcessorMetaData

    public GraphicsOutputProcessorMetaData(FontStorage storage,
                                           boolean iterative)

## Method Details

### getDefaultFontFamily

    public FontFamily getDefaultFontFamily()

> Specified by:
>   getDefaultFontFamily in interface OutputProcessorMetaData

### getExportDescriptor

    public String getExportDescriptor()

> Specified by:
>   getExportDescriptor in interface OutputProcessorMetaData

### isIterative

    public boolean isIterative()

> Specified by:
>   isIterative in interface OutputProcessorMetaData